// JavaScript Document



<!--

// These global variables store the current active Navigation settings and Browser specs



if (typeof(current_Tab) == "undefined") {

  current_Tab = "";

}

if (typeof(current_Item) == "undefined") {

  current_Item = "";

}

if (typeof(current_RecTab) == "undefined") {

  current_RecTab = "";

}



var exclude=1;

var agt=navigator.userAgent.toLowerCase();

var win=0;var mac=0;var lin=1; var lnx=0;

var ice=0;

var ie=0;var ie4=0;var ie5=0;var ie6=0;var com=0;var dcm;

var op5=0;var op6=0;var op7=0;

var ns4=0;var ns6=0;var ns7=0;var mz7=0;var kde=0;var saf=0;



bullet_on = new Image(7,12);

bullet_on.src="/Images/GUI/arrow_White.gif";

bullet_off = new Image(7,12);

bullet_off.src="/Images/GUI/bullet_menu.gif";







// Browser Detection

isMac = (navigator.appVersion.indexOf("Mac")!=-1) ? true : false;

NS4 = (document.layers) ? true : false;

IEmac = ((document.all)&&(isMac)) ? true : false;

IE4plus = (document.all) ? true : false;

IE4 = ((document.all)&&(navigator.appVersion.indexOf("MSIE 4.")!=-1)) ? true : false;

IE5 = ((document.all)&&(navigator.appVersion.indexOf("MSIE 5.")!=-1)) ? true : false;

ver4 = (NS4 || IE4plus) ? true : false;

NS6 = (!document.layers) && (navigator.userAgent.indexOf('Netscape')!=-1)?true:false;



// Body onload utility (supports multiple onload functions)



if (typeof(gSafeOnload) == "undefined") {

  gSafeOnload = new Array();

}



function browserDetect()

{

	if(agt.indexOf('win')!=-1){win=1;lin=0;}

	if(agt.indexOf('mac')!=-1){mac=1;lin=0;}

	if(lin){lnx=1;}



	if(typeof navigator.vendor!="undefined" && navigator.vendor=="KDE"){

		var thisKDE=agt;

		var splitKDE=thisKDE.split("konqueror/");

		var aKDE=splitKDE[1].split("; ");

		var KDEn=parseFloat(aKDE[0]);

		if(KDEn>=2.2){

			kde=1;

			ns6=1;

			exclude=0;

			}

		}

	else if(agt.indexOf('webtv')!=-1){exclude=1;}

	else if(typeof window.opera!="undefined"){

		exclude=0;

		if(agt.indexOf("opera/5")!=-1||agt.indexOf("opera 5")!=-1){op5=1;}

		if(agt.indexOf("opera/6")!=-1||agt.indexOf("opera 6")!=-1){op6=1;}

		if(agt.indexOf("opera/7")!=-1||agt.indexOf("opera 7")!=-1){op7=1;}

		}

	else if(typeof document.all!="undefined"&&!kde){

		exclude=0;

		ie=1;

		if(typeof document.getElementById!="undefined"){

			ie5=1;

			if(agt.indexOf("msie 6")!=-1){

				ie6=1;

				dcm=document.compatMode;

				if(dcm!="BackCompat"){com=1;}

				}

			}

		else{ie4=1;}

		}

	else if(typeof document.getElementById!="undefined"){

		exclude=0;

		if(agt.indexOf("netscape/6")!=-1||agt.indexOf("netscape6")!=-1){ns6=1;}

		else if(agt.indexOf("netscape/7")!=-1||agt.indexOf("netscape7")!=-1){ns6=1;ns7=1;}

		else if(agt.indexOf("gecko")!=-1){ns6=1;mz7=1;}

		if(agt.indexOf("safari")!=-1 || (typeof document.childNodes!="undefined" && typeof document.all=="undefined" && typeof navigator.taintEnabled=="undefined")){mz7=0;ns6=1;saf=1;}

		}

	else if((agt.indexOf('mozilla')!=-1)&&(parseInt(navigator.appVersion)>=4)){

		exclude=0;

		ns4=1;

		if(typeof navigator.mimeTypes['*']=="undefined"){

			exclude=1;

			ns4=0;

			}

		}

	if(agt.indexOf('escape')!=-1){exclude=1;ns4=0;}

	if(typeof navigator.__ice_version!="undefined"){exclude=1;ie4=0;}

}





function tabOn(tabItem)

{
	if (!exclude)

	{
	
	if (tabItem != "")
	
		{
			document[tabItem].src=eval(tabItem + "_on.src");
	
			temp = tabItem + "2";
	
			document[temp].src="/Images/GUI/lightblue_1x1.gif";
			
		}
		
	}

}



function menuOn(menuItem)

{

	if (!exclude)

	{

	if (menuItem != "")

		{
		document[menuItem].src = bullet_on.src;

		document.getElementById(menuItem).style.backgroundColor = "#5D98DB";

		}

	}

}



function rollOn(imgName)

{	

	if (!exclude)

	{

	document[imgName].src=eval(imgName + "_on.src");

	}

}



function rollOff(imgName)

{

	if (!exclude)

	{

		if ((imgName != current_Tab) && (imgName != current_RecTab))

		{

		document[imgName].src=eval(imgName + "_off.src");

		}

	}

}



function menuRollOn(imgName)

{

	if (!exclude)

	{

	document[imgName].src = bullet_on.src;

	document.getElementById(imgName).style.backgroundColor = "#5D98DB";

	}

}



function menuRollOff(imgName)

{

	if (!exclude && (imgName != current_Item))

	{

	document[imgName].src = bullet_off.src;

	document.getElementById(imgName).style.backgroundColor = "#006699";

	}

}

function SafeAddOnload(f)

{

	if (IEmac && IE4)  // IE 4.5 blows out on testing window.onload

	{

		window.onload = SafeOnload;

		gSafeOnload[gSafeOnload.length] = f;

	}

	else if  (window.onload)

	{

		if (window.onload != SafeOnload)

		{

			gSafeOnload[0] = window.onload;

			window.onload = SafeOnload;

		}		

		gSafeOnload[gSafeOnload.length] = f;

	}

	else {

		window.onload = f;

        }

}

function SafeOnload()

{

	for (var i=0;i<gSafeOnload.length;i++) {

		gSafeOnload[i]();

        }

}

// -->





